Profile Picture

Where is the OEC Plugin?

Posted By eong9 7 Years Ago
Message
Posted Monday March 15 2010
Is the Open E Cry live trading plugin still being supported in RE2010? If not, can you release the source code?
PBJ
Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)
Posted Tuesday March 16 2010
Same question here. OEC says on its website that they are supported by RightEdge but I see no OEC broker/live data plugin in build 17.
Also, is there a webpage that explains how to add plugins? Not develop them but just add.
Posted Tuesday March 16 2010
The only thing that comes to mind is that there is a newer version of OEC. I have a contact at OEC and I'll ask them if there is any version incompatibilities with any of their recent releases. The last version of OEC we built against is dated 8/28/2009.

Can you tell me the versions of OEC that you're using and the version of API.DLL (if it exists in the OEC folder)?

Thank you.
PBJ
Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)
Posted Tuesday March 16 2010
Hi Bill,

Using OEC Trader version 3.4.0.8 and API.dll version 3.4.0.0 (233,472 Bytes).
I just sent an email to OEC's Support and told you you will contact them. I hope they'll help us quickly.

Let me know if I can help more!
PBJ
Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)
Posted Tuesday March 16 2010
Here's what they replied:

We offer API 3.4 and API 3.5. Please use OEC Trader 3.4.0.8 if Right Edge does not support API 3.5.


How is that an answer?!
Posted Tuesday March 16 2010
Beta 13 is the last build to have the OEC plugin displayed in the services window. It currently works (at least the data feed) with the updated API from this post. So I'm guessing something from Beta 14 doesn't like that plugin.
Posted Thursday March 18 2010
Guys, we're actively investigating on this end. What's even more curious is that the plugin will load when we launch the program from Visual Studio. This may indicate something on our end, stand by.

eong9 (3/16/2010)
Beta 13 is the last build to have the OEC plugin displayed in the services window. It currently works (at least the data feed) with the updated API from this post. So I'm guessing something from Beta 14 doesn't like that plugin.
PBJ
Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)Supreme Being (5,433 reputation)
Posted Sunday March 21 2010
Ok thanks! :-)
Posted Friday March 26 2010
Thanks, Bill. When you get this figured out, would you consider releasing the source code so that those of us who trade with it can help maintain it for you?
Posted Friday March 26 2010
Yes, we're slowly releasing source to all of the broker plugins. We may clean this one up and get it ready for the next release.

eong9 (3/26/2010)
Thanks, Bill. When you get this figured out, would you consider releasing the source code so that those of us who trade with it can help maintain it for you?


Similar Topics


Reading This Topic


2005-2017 © RightEdge Systems